# Documentació de la línia d'ordres de les &Qt;

&Lauri.Watts; &Lauri.Watts.mail;
&Burkhard.Lueck; &Burkhard.Lueck.mail;
4 de juny de 2016
Qt 6
Frameworks del KDE
qt6options
7

# qt6options

Opcions comunes de la línia d'ordres per a totes les aplicacions basades en el joc d'eines de les &Qt;

    Aplicació Qt -style= estil / -style estil -stylesheet= full d'estil / -stylesheet full d'estil -widgetcount -reverse -qmljsdebugger= port -platform nom_plataforma[:opcions] -platformpluginpath camí -platformtheme tema_plataforma -plugin connector -qwindowgeometry geometria -qwindowicon icona -qwindowtitle títol -reverse -session sessió -display nom_màquina:número_pantalla -geometry geometria -dialogs= [xp|none] -fontengine= freetype -h, --help i -? al &Windows; -v --version

## Opcions

Les següents opcions s'apliquen a totes les aplicacions &Qt;:

`-style=` estil / `-style` estil

  Establir l'estil de la &IGU; de l'aplicació. Els valors possibles dependran de la configuració del sistema. Si les &Qt; han estat compilades amb estils addicionals o si disposeu d'estils addicionals com a connectors els quals estaran disponibles per a l'opció `-style` de la línia d'ordres.

`-stylesheet=` full d'estil / `-stylesheet` full d'estil

  Estableix el full d'estil de l'aplicació. El valor haurà de ser un camí d'accés a un fitxer que contingui el full d'estil.

`-widgetcount`

  Imprimeix un missatge de depuració al final sobre el nombre de ginys no destruïts a l'esquerra i el nombre màxim de ginys existents, tot alhora.

`-reverse`

  Estableix la direcció de la disposició de l'aplicació a `Qt::RightToLeft`. Aquesta opció està destinada a ajudar a depurar i no s'ha d'utilitzar en producció. El valor predeterminat és detectat automàticament de la configuració regional de l'usuari (vegeu també `QLocale::textDirection()`).

`-qmljsdebugger=` port

  Activa el depurador de QML/JS amb un port especificat. El valor haurà d'estar format per port:1234[,bloc], on el bloc és opcional i fa que l'aplicació esperi fins que un depurador es connecta amb ella.

`-platform` nom_plataforma[:opcions]

  Especifica el connector d'abstracció de la plataforma &Qt; (QPA -Qt Platform Abstraction-).

`-platformpluginpath` camí

  Especifica el camí dels connectors a la plataforma.

`-platformtheme` tema_plataforma

  Especifica el tema de la plataforma.

`-plugin` connector

  Especifica els connectors addicionals a carregar. L'argument pot aparèixer múltiples vegades.

`-qwindowgeometry` geometria

  Especifica la geometria de la finestra per a la finestra principal emprant la sintaxi de &X11;. Per exemple: -qwindowgeometry 100x100+50+50

`-qwindowicon` icona

  Estableix la icona predeterminada de la finestra.

`-qwindowtitle` títol

  Estableix el títol de la primera finestra.

`-session` sessió

  Restaura l'aplicació des d'una sessió anterior.

`-display` nom_màquina:número_pantalla

  Canvia les visualitzacions en &X11;. Anul·la la variable d'entorn `DISPLAY`.

`-geometry` geometria

  Especifica la geometria de la finestra per a la finestra principal en &X11;. Per exemple: -geometry 100x100+50+50

`-dialogs=` [xp|none]

  Només està disponible per a les plataformes de &Windows;. XP utilitza diàlegs a l'estil nadiu i cap (none) els desactiva.

`-fontengine=` freetype

  Empra el motor de fonts FreeType.

`-h, --help i -? al &Windows;`

  Imprimeix totes les opcions i la descripció de l'aplicació.

`-v --version`

  Mostra la cadena sobre la versió de l'aplicació.

## Vegeu també

kf6options(7)

## Autors

Pàgina de manual original escrita per en &Lauri.Watts; &Lauri.Watts.mail;

Actualitzada als &frameworks; 5 per en &Burkhard.Lueck; &Burkhard.Lueck.mail;

La informació d'aquesta pàgina del manual és de la documentació de QApplication, la documentació de QGuiApplication i la documentació de QCommandLineParser.